Skip to main content
post/resumes/{resumeId}/versions
Request example
Response
post/resumes/{resumeId}/versions

Authorization

x-api-keystringheaderrequired#
The API key to authenticate requests.

2 alternative authorization methods available — see the spec for details.

Path parameters

resumeIdstringrequired#
The ID of the resume to name a version of.

Body

application/json
namestringrequired#
The version's name, e.g. 'Sent to Lumen'.

Length: 1–80

Responses

application/json
The new named version.
idstringrequired#
The ID of the version.
kindenum<string>required#
What made the version: created, import, auto (an editing session's autosave), named, before-restore, restored, ai (an AI or API edit) or sent.
Options:createdimportautonamedbefore-restorerestoredaisent
namestring · nullrequired#
The user's name for a named version.
createdAtstringrequired#
When this state was saved.